Mojolicious-Plugin-AWS-SNS v0.03 Perl 5 v5.30.0 i386-freebsd

Status
Pass
From
Chris Williams (BINGOS)
Dist
Mojolicious-Plugin-AWS-SNS v0.03
Platform
Perl 5 v5.30.0 i386-freebsd
Date
2019-09-01T00:12:13
ID
25e764c0-cc4d-11e9-9066-e374b0ba08e8
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--

Dear SCOTTW,

This is a computer-generated error report created automatically by
CPANPLUS, version 0.9176. Testers personal comments may appear
at the end of this report.


Thank you for uploading your work to CPAN.  Congratulations!
All tests were successful.

TEST RESULTS:

Below is the error stack from stage 'make test':

PERL_DL_NONLAZY=1 "/usr/home/cpan/pit/bare/perl-5.30.0/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/basic.t .. ok
All tests successful.
Files=1, Tests=15,  1 wallclock secs ( 0.04 usr  0.03 sys +  0.67 cusr  0.22 csys =  0.96 CPU)
Result: PASS


PREREQUISITES:

Here is a list of prerequisites you specified and versions we
managed to load:

	  Module Name                        Have     Want
	  ExtUtils::MakeMaker                7.36        0
	  IO::Socket::SSL                   2.066    2.066
	  Mojolicious                        8.23     8.23

Perl module toolchain versions installed:
	Module Name                        Have
	CPANPLUS                         0.9176
	CPANPLUS::Dist::Build              0.90
	Cwd                                3.78
	ExtUtils::CBuilder             0.280231
	ExtUtils::Command                  7.36
	ExtUtils::Install                  2.14
	ExtUtils::MakeMaker                7.36
	ExtUtils::Manifest                 1.72
	ExtUtils::ParseXS                  3.40
	File::Spec                         3.78
	Module::Build                    0.4229
	Pod::Parser                        1.63
	Pod::Simple                        3.35
	Test2                          1.302164
	Test::Harness                      3.42
	Test::More                     1.302164
	version                          0.9924

******************************** NOTE ********************************
The comments above are created mechanically, possibly without manual
checking by the sender.  As there are many people performing automatic
tests on each upload to CPAN, it is likely that you will receive
identical messages about the same problem.

If you believe that the message is mistaken, please reply to the first
one with correction and/or additional informations, and do not take
it personally.  We appreciate your patience. :)
**********************************************************************

Additional comments:


This report was machine-generated by CPANPLUS::Dist::YACSmoke 1.08.
Powered by minismokebox version 0.68

CPANPLUS is prefering Build.PL

------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    NONINTERACTIVE_TESTING = 1
    PATH = /sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/home/cpan/bin
    PERL5LIB = /usr/home/cpan/pit/jail/up5aEL8lL4/lib/perl5:/usr/home/cpan/pit/bare/conf/perl-5.30.0/.cpanplus/5.30.0/build/PFclGN618I/Mojolicious-Plugin-AWS-SNS-0.03/blib/lib:/usr/home/cpan/pit/bare/conf/perl-5.30.0/.cpanplus/5.30.0/build/PFclGN618I/Mojolicious-Plugin-AWS-SNS-0.03/blib/arch
    PERL5_CPANPLUS_IS_RUNNING = 7271
    PERL5_CPANPLUS_IS_VERSION = 0.9176
    PERL5_MINISMOKEBOX = 0.68
    PERL5_YACSMOKE_BASE = /usr/home/cpan/pit/bare/conf/perl-5.30.0
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_LOCAL_LIB_ROOT = /usr/home/cpan/pit/jail/up5aEL8lL4
    PERL_MB_OPT = --install_base "/usr/home/cpan/pit/jail/up5aEL8lL4"
    PERL_MM_OPT = INSTALL_BASE=/usr/home/cpan/pit/jail/up5aEL8lL4
    PERL_MM_USE_DEFAULT = 1
    SHELL = /usr/local/bin/bash
    TERM = screen

Perl special variables (and OS-specific diagnostics, for MSWin32):

    Perl: $^X = /usr/home/cpan/pit/bare/perl-5.30.0/bin/perl
    UID:  $<  = 1002
    EUID: $>  = 1002
    GID:  $(  = 1002 1002
    EGID: $)  = 1002 1002


-------------------------------


--

Summary of my perl5 (revision 5 version 30 subversion 0) configuration:
   
  Platform:
    osname=freebsd
    osvers=12.0-release-p5
    archname=i386-freebsd
    uname='freebsd ffyrc 12.0-release-p5 freebsd 12.0-release-p5 generic i386 '
    config_args='-des -Dprefix=/usr/home/cpan/pit/bare/perl-5.30.0'
    hint=recommended
    useposix=true
    d_sigaction=define
    useithreads=undef
    usemultiplicity=undef
    use64bitint=undef
    use64bitall=undef
    uselongdouble=undef
    usemymalloc=n
    default_inc_excludes_dot=define
    bincompat5005=undef
  Compiler:
    cc='cc'
    ccflags ='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_FORTIFY_SOURCE=2'
    optimize='-O2'
    cppflags='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion=''
    gccversion='4.2.1 Compatible FreeBSD Clang 6.0.1 (tags/RELEASE_601/final 335540)'
    gccosandvers=''
    intsize=4
    longsize=4
    ptrsize=4
    doublesize=8
    byteorder=1234
    doublekind=3
    d_longlong=define
    longlongsize=8
    d_longdbl=define
    longdblsize=12
    longdblkind=3
    ivtype='long'
    ivsize=4
    nvtype='double'
    nvsize=8
    Off_t='off_t'
    lseeksize=8
    alignbytes=4
    prototype=define
  Linker and Libraries:
    ld='cc'
    ldflags ='-Wl,-E  -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/lib /usr/local/lib /usr/lib/clang/6.0.1/lib /usr/lib
    libs=-lpthread -lgdbm -ldl -lm -lcrypt -lutil -lc
    perllibs=-lpthread -ldl -lm -lcrypt -lutil -lc
    libc=
    so=so
    useshrplib=false
    libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs
    dlext=so
    d_dlsymun=undef
    ccdlflags=' '
    cccdlflags='-DPIC -fPIC'
    lddlflags='-shared  -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl): 
  Compile-time options:
    HAS_TIMES
    PERLIO_LAYERS
    PERL_COPY_ON_WRITE
    PERL_DONT_CREATE_GVSV
    PERL_MALLOC_WRAP
    PERL_OP_PARENT
    PERL_PRESERVE_IVUV
    USE_LARGE_FILES
    USE_LOCALE
    USE_LOCALE_COLLATE
    USE_LOCALE_CTYPE
    USE_LOCALE_NUMERIC
    USE_LOCALE_TIME
    USE_PERLIO
    USE_PERL_ATOF
  Built under freebsd
  Compiled at May 24 2019 01:36:24
  %ENV:
    PERL5LIB="/usr/home/cpan/pit/jail/up5aEL8lL4/lib/perl5:/usr/home/cpan/pit/bare/conf/perl-5.30.0/.cpanplus/5.30.0/build/PFclGN618I/Mojolicious-Plugin-AWS-SNS-0.03/blib/lib:/usr/home/cpan/pit/bare/conf/perl-5.30.0/.cpanplus/5.30.0/build/PFclGN618I/Mojolicious-Plugin-AWS-SNS-0.03/blib/arch"
    PERL5_CPANPLUS_IS_RUNNING="7271"
    PERL5_CPANPLUS_IS_VERSION="0.9176"
    PERL5_MINISMOKEBOX="0.68"
    PERL5_YACSMOKE_BASE="/usr/home/cpan/pit/bare/conf/perl-5.30.0"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_LOCAL_LIB_ROOT="/usr/home/cpan/pit/jail/up5aEL8lL4"
    PERL_MB_OPT="--install_base "/usr/home/cpan/pit/jail/up5aEL8lL4""
    PERL_MM_OPT="INSTALL_BASE=/usr/home/cpan/pit/jail/up5aEL8lL4"
    PERL_MM_USE_DEFAULT="1"
  @INC:
    /usr/home/cpan/pit/jail/up5aEL8lL4/lib/perl5/5.30.0/i386-freebsd
    /usr/home/cpan/pit/jail/up5aEL8lL4/lib/perl5/5.30.0
    /usr/home/cpan/pit/jail/up5aEL8lL4/lib/perl5/i386-freebsd
    /usr/home/cpan/pit/jail/up5aEL8lL4/lib/perl5
    /usr/home/cpan/pit/bare/conf/perl-5.30.0/.cpanplus/5.30.0/build/PFclGN618I/Mojolicious-Plugin-AWS-SNS-0.03/blib/lib
    /usr/home/cpan/pit/bare/conf/perl-5.30.0/.cpanplus/5.30.0/build/PFclGN618I/Mojolicious-Plugin-AWS-SNS-0.03/blib/arch
    /usr/home/cpan/pit/bare/perl-5.30.0/lib/site_perl/5.30.0/i386-freebsd
    /usr/home/cpan/pit/bare/perl-5.30.0/lib/site_perl/5.30.0
    /usr/home/cpan/pit/bare/perl-5.30.0/lib/5.30.0/i386-freebsd
    /usr/home/cpan/pit/bare/perl-5.30.0/lib/5.30.0